Subject: Re: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: Juri Linkov <[email-masked]>
Date: Thu, 15 Nov 2018 02:02:04 +0200

>> window-local tab-bars are extremely useful for displaying
>> the list of prev/next buffers as tabs.  So the user can see
>> the names of all buffers that were displayed in the window,
>> and clicking on the tab will switch to any of previously
>> displayed buffers.  And clicking on [x] will remove the
>> buffer from the list of previous window-local buffers.
>
> That was my idea behind window-local tab-bars back then.

That was a very good idea.

> Today I think that we should instead pop up a menu of previous buffers
> when moving the mouse over the mode-line's buffer-name.

Not intuitive at all.

>> I agree, mode-lines duplicate the battery charge information
>> in every window.  What do you think about creating the frame-local
>> mode-line using the bottom side window?
>
> By default I would display them (possibly right-adjusted) only in the
> mode-line of the bottom-most-right-most window.

Good idea.  Simply to add a conditional display to mode-line-format with

  (and (not (window-in-direction 'down))
       (not (window-in-direction 'left)))